org.vertx.java.deploy.impl

## Class Deployment

- java.lang.Object
- - org.vertx.java.deploy.impl.Deployment

    public class Deployment
    extends java.lang.Object

### Field Summary

Fields
`boolean` `autoRedeploy`
`java.util.List<java.lang.String>` `childDeployments`
`JsonObject` `config`
`VerticleFactory` `factory`
`int` `instances`
`java.io.File` `modDir`
`java.lang.String` `modName`
`java.lang.String` `name`
`java.lang.String` `parentDeploymentName`
`java.net.URL[]` `urls`
`java.util.List<org.vertx.java.deploy.impl.VerticleHolder>` `verticles`

### Constructor Summary

Constructors
Constructor and Description
`Deployment(java.lang.String name, java.lang.String modName, int instances, VerticleFactory factory, JsonObject config, java.net.URL[] urls, java.io.File modDir, java.lang.String parentDeploymentName, boolean autoRedeploy)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### name

    public final java.lang.String name

#### modName

    public final java.lang.String modName

#### instances

    public final int instances

#### factory

    public final VerticleFactory factory

#### config

    public final JsonObject config

#### urls

    public final java.net.URL[] urls

#### modDir

    public final java.io.File modDir

#### verticles

    public final java.util.List<org.vertx.java.deploy.impl.VerticleHolder> verticles

#### childDeployments

    public final java.util.List<java.lang.String> childDeployments

#### parentDeploymentName

    public final java.lang.String parentDeploymentName

#### autoRedeploy

    public final boolean autoRedeploy

### Constructor Detail

#### Deployment

    public Deployment(java.lang.String name,
              java.lang.String modName,
              int instances,
              VerticleFactory factory,
              JsonObject config,
              java.net.URL[] urls,
              java.io.File modDir,
              java.lang.String parentDeploymentName,
              boolean autoRedeploy)